Subject: RE: How do I install man files.
From: " Clark Sims " <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Fri, 27 Aug 1999 11:37:29 -0700

>> How should I install these man files, so that man.exe from 
>> the Free Software Foundation can find them?
>
>Where would you like to keep them?  

Anywhere would be okay. How about
//d/cygman
The d drive is my biggest drive and so I like to put as much stuff here as I can.

>
>The cygwin install places the man source files in
>cygwinb20\full-man\man\man1/2/3/5 in their raw nroff
>source format.  

Pardon the newbie question, but what is
cygwinb20\full-man\man\man1/2/3/5

Aren't /2/3/5 interperated as 235 because / is the escape character? I don't understand the syntax of this path. 

Also, the man files aren't included as part of the full install. They come in man-full.tar.bz2, and must be installed seperately. The instructions for installing the man files are conspicuously missing.
I guessed the commands for installation were:

cd //d/cygwin.fttp
bunzip2 full-man.tar.bz2
tar xvf fullman.tar

Note, //d/cygwin.fttp is where all of my downloads are.
From my previous results I am guessing I need to do something simular like:
cd //d
mkdir cygman
cd cygman
tar xvf //d/cywin.fttp/fullman.tar

Also what is cygwinb20? Is it:
//d/cygnus/cygwin-b20
It must be, I just want to be sure, because this environment is still new to me.

> I don't believe the man command will grok
>them as is -- you'll need to get groff and process them
>first, then use man on them.  As delivered, they are full
>of nroff formatting code that man doesn't interpret.  It
>expects that stuff to have been translated already.
>

I have a version of groff.exe in my FSF distribution. What syntax should I use to groff the files?

>Once you've run groff on them, you should be able to use
>man to display them.  

Don't I need to tell man where to look for them by setting an environment variable or something? I can't expect man.exe to search my whole computer can I?

Thanks in Advance,

Clark Sims

--== Sent via Deja.com http://www.deja.com/ ==--
Share what you know. Learn what you don't.

--
Want to unsubscribe from this list?
Send a message to [email-masked]